/*
Theme Name: Shopkeeper - The Child Theme
Theme URI: https://shopkeeper.getbowtied.com
Description: This is the Child Theme for Shopkeeper - a Hassle-free Worpress Theme with great design and extensive functionality.
Author: Get Bowtied
Author URI: https://getbowtied.com
Template: shopkeeper
Version: 2.0
*/


/****************************************************************/
/*************** ADD YOUR CUSTOM CSS IN THIS AREA ***************/
/****************************************************************/
.home #page_wrapper > .elementor .elementor-section:first-child a:focus,
.home #page_wrapper > .elementor .elementor-section:first-child a:hover {
	opacity: 1;
}

.content-area.shop-page .products .product-category a {
	height: auto;
}
#nav-search-item,
#site-footer .trigger-footer-widget-area,
.yith-wcwl-add-to-wishlist-button__label {
	display: none;
}
#site-footer .site-footer-widget-area {
	display: block;
}
.woocommerce .products .product_thumbnail_icons .yith-add-to-wishlist-button-block {
  display: inline-block !important;
  padding: 11px 0;
  vertical-align: middle;
  width: 28px;
  margin: 0;
}
.woocommerce .products .product_thumbnail_icons .yith-add-to-wishlist-button-block svg {
	max-width: 22px;
}

.elementor-widget-woocommerce-products.elementor-wc-products ul.products li.product {
	display: flex;
	flex-direction: column;
}

.woocommerce span.onsale {
	background-color: #333886;
}
.woocommerce ul.products li.product .onsale.wc-memberships-member-discount {
	display: block;
	background-color: #000000;
	font-family: "Outfit", Sans-serif;
	font-size: 11px;
	font-weight: 600;
	border-radius: 3px;
	min-width: 25px;
	min-height: 25px;
	line-height: 25px;
}

.elementor-widget-woocommerce-products.elementor-wc-products ul.products li.product .add-to-cart-container,
#primary.search-results ul.products > li .add-to-cart-container,
#primary.shop-page ul.products > li .add-to-cart-container,
#member-shop ul.products > li .add-to-cart-container,
ul.products > li .add-to-cart-container {
  flex-grow: 10;
  display: flex;
  flex-direction: column;
  justify-content: end;
}

ul.products li.product .add-to-cart-container table.variations,
#member-shop ul.products > li .add-to-cart-container table.variations,
ul.products li.product .add-to-cart-container table.variations tr ul {
	margin: 0;
}

ul.products li.product .add-to-cart-container table.variations tr {
	display: grid;
	grid-column-gap: 10px;
  	grid-template-columns: repeat(2,1fr);
	margin-bottom: 1rem;
}

ul.products li.product .add-to-cart-container table.variations tr label {
	line-height: 1.5;
}

.elementor-widget-woocommerce-products.elementor-wc-products ul.products li.product .add-to-cart-container .value.woo-variation-items-wrapper {
	border: none;
}

.elementor-widget-woocommerce-products.elementor-wc-products ul.products li.product .add-to-cart-container .single_variation,
.elementor-widget-woocommerce-products.elementor-wc-products ul.products li.product .add-to-cart-container .quantity.custom,
#primary.search-results ul.products > li .add-to-cart-container .quantity.custom,
#primary.shop-page ul.products > li .add-to-cart-container .quantity.custom,
#member-shop ul.products > li .add-to-cart-container .quantity.custom,
.single_variation_wrap .woocommerce-variation.single_variation {
	margin: 0;
}

.elementor-widget-woocommerce-products.elementor-wc-products ul.products li.product .add-to-cart-container .reset_variations,
#primary.search-results ul.products > li .add-to-cart-container .reset_variations,
#primary.shop-page ul.products > li .add-to-cart-container .reset_variations,
#member-shop ul.products > li .add-to-cart-container .reset_variations,
.single_variation_wrap .woocommerce-variation.single_variation,
.product_infos form .reset_variations,
table.variations td.woo-variation-items-wrapper .reset_variations {
	display: none !important;
}
.elementor-widget-woocommerce-products.elementor-wc-products ul.products li.product .button,
#primary.shop-page ul.products > li .single_add_to_cart_button,
#member-shop ul.products > li .single_add_to_cart_button,
button.single_add_to_cart_button {
	min-width: auto;
	margin-left: auto;
	margin-right: auto;
	display: block;
	width: 100%;
	margin: 0 auto;
}
.elementor-widget-woocommerce-products.elementor-wc-products ul.products li.product .add-to-cart-container .woocommerce-variation-add-to-cart,
#member-shop ul.products li.product .add-to-cart-container .woocommerce-variation-add-to-cart {
	height: auto;
}

.elementor-widget-woocommerce-products.elementor-wc-products ul.products li.product .add-to-cart-container .single_variation_wrap .single_variation,
#member-shop ul.products li.product .add-to-cart-container .single_variation_wrap .single_variation,
.added_to_cart.wc-forward {
	display: none !important;
}

.single_add_to_cart_button.ajax_add_to_cart.progress-btn .checked {
	top: 50%;
  	left: 50%;
	transform: translate(-50%, -50%);
}

.elementor-widget-woocommerce-products.elementor-wc-products ul.products li.product .add-to-cart-container .single_variation_wrap .woocommerce-variation-add-to-cart,
#member-shop ul.products li.product .add-to-cart-container .single_variation_wrap .woocommerce-variation-add-to-cart {
	margin-top: -1em;
}

#member-shop {
	margin: 0 auto;
	padding-top: 2.5rem;
}

#member-shop .shop_header {
	margin-bottom: 2.5rem;
}

#member-shop .page-title {
	line-height: 1.5;
	margin: 0 auto;
}

#member-shop #content {
	padding-left: 1.25rem;
	padding-right: 1.25rem;
}

#member-shop .preamble {
	padding-bottom: 2.5rem;
}

.elementor-widget-woocommerce-products.elementor-wc-products ul.products,
#primary.search-results ul.products,
#primary.shop-page ul.products,
#member-shop ul.products,
section.related.products > ul.products {
	display: grid;
  	margin: 0;
	padding: 0;
	grid-template-columns: repeat(2,1fr);
	grid-column-gap: 10px;
	grid-row-gap: 40px;
}

section.related.products > ul.products {
	grid-template-columns: 1fr;
}

#primary.search-results ul.products::before,
#primary.shop-page ul.products::before,
#member-shop ul.products::before,
section.related.products > ul.products::before {
	display: none;
}

#primary.search-results ul.products > li,
#primary.shop-page ul.products > li,
#member-shop ul.products > li,
#content section.related.products > ul.products > li {
	display: flex;
	flex-direction: column;
	text-align: left;
	border-style: solid;
	border-width: 0;
	width: auto;
	margin: 0;
	padding: 0;
}

.elementor-products-grid ul.products li.product .onsale,
.woocommerce .products span.onsale, .woocommerce span.onsale,
.woocommerce ul.products li.product .onsale,
.woocommerce-page .products span.onsale,
.woocommerce-page span.onsale,
.wp-block-getbowtied-carousel ul.products li.product .onsale,
#member-shop ul.products li.product span.onsale {
	max-width: calc(100% - 20px);
}

#member-shop ul.products li.product span.onsale {
	padding: 2px 8px 2px 8px;
	text-align: center;
	position: absolute;
	top: 15px;
	left: 8px;
	right: auto !important;
	text-shadow: none;
	color: #ffffff;
	box-shadow: none;
	text-transform: uppercase;
	width: auto;
	z-index: 8;
	
	display: block;
	background-color: #000000;
	font-family: "Outfit", Sans-serif;
	font-size: 11px;
	font-weight: 600;
	border-radius: 3px;
	min-width: 25px;
	min-height: 25px;
	line-height: 25px;
}

#member-shop h2.woocommerce-loop-product__title {
	font-family: var( --e-global-typography-primary-font-family ), Sans-serif;
  	font-weight: var( --e-global-typography-primary-font-weight );
	font-size: 13px;
}

.shop_header.with_featured_img .shop_header_bkg {
  background-position: 50% 50%;
}

.elementor-widget-form .elementor-message.elementor-message-success.elementor-message-svg {
	color: white;
}

@media(max-width:576px) {
	section.related.products > ul.products li .size-woocommerce_thumbnail {
		max-height: 300px;
		width: auto;
		margin: auto;
	}
}
@media(min-width:576px) {
	section.related.products > ul.products {
		grid-template-columns: 1fr 1fr;
	}
}
@media(min-width:768px){
	.elementor-widget-woocommerce-products.elementor-wc-products ul.products,
	#primary.search-results ul.products,
	#primary.shop-page ul.products,
	#member-shop ul.products,
	section.related.products > ul.products  {
		grid-template-columns: repeat(auto-fill,minmax(250px, 1fr));
	}
	
	.add-to-cart-container form:not([data-product_variations]),
	.add-to-cart-container .single_variation_wrap .woocommerce-variation-add-to-cart,
	.single_variation_wrap .woocommerce-variation-add-to-cart
	{
		display: grid;
		grid-template-columns: repeat(2, 1fr);
		grid-column-gap: 20px;
		align-items: center;
	}
	
	.woocommerce #primary div.product form.cart div.quantity.custom {
		margin: 0;
	}
	
	.elementor-widget-woocommerce-products.elementor-wc-products ul.products li.product .add-to-cart-container table.variations,
	#member-shop ul.products > li .add-to-cart-container table.variations {
		margin-bottom: 0.5rem;
	}
	
	.elementor-widget-woocommerce-products.elementor-wc-products ul.products li.product .add-to-cart-container .single_variation_wrap .woocommerce-variation-add-to-cart,
	#member-shop ul.products li.product .add-to-cart-container .single_variation_wrap .woocommerce-variation-add-to-cart{
		margin-top: -0.25em;
	}
	
	.elementor-widget-woocommerce-products.elementor-wc-products ul.products li.product .add-to-cart-container .single_add_to_cart_button,
	#primary.search-results ul.products > li .add-to-cart-container .single_add_to_cart_button,
	#primary.shop-page ul.products > li .add-to-cart-container .single_add_to_cart_button,
	#member-shop ul.products > li .add-to-cart-container .single_add_to_cart_button
	{
		padding: 1rem .5rem !important;
	}
}
@media(min-width:1024px){
	.transparent_header .top-headers-wrapper:not(.sticky) .site-header {
		position: static;
	}
	#page_wrapper.transparent_header .top-headers-wrapper #masthead.site-header nav.main-navigation ul li a,
	#page_wrapper.transparent_header .top-headers-wrapper #masthead.site-header .site-tools ul li a span {
		color: #000;
	}
	ul.menu-main-menu, ul.menu-logged-in-member {
		display: flex;
		width: 100%;
		align-items: center;
	}
	.main-navigation ul li a {
		padding: 0 8px;
	}
	ul.menu-main-menu > li:first-child a, ul.menu-logged-in-member > li:first-child a {
		padding-left: 0
	}
	ul.menu-logged-in-member > li#shopkeeper-menu-item-17288 {
		margin-right: 0;
	}
	#member-shop {
		max-width: min(80%, 1520px);
	}
	.elementor-element-18829b76 .elementor-widget-wrap.elementor-element-populated {
		align-items: unset !important;
	}
	#slogan {
		margin-top: calc((1285px - 100%) * -0.25);
		margin-left: -48px;
	}
	#slogan .elementor-heading-title {
		font-size: 2.1rem;
	}
	.product_layout_classic .product-images-wrapper .woocommerce-product-gallery {
		justify-content: end;
	}
	.woocommerce .product_layout_classic div.product .product_content_wrapper div.images img,
	.product_layout_classic .product-images-wrapper .woocommerce-product-gallery .flex-viewport img,
	.product_layout_classic .product-images-wrapper .woocommerce-product-gallery .flex-viewport a.video iframe {
		max-height: 30vh;
		aspect-ratio: 1/1;
		margin: 0 auto;
		width: auto;
		height: auto;
	}
	.product_layout_classic .product-badges {
		margin-left: 15px;
	}
	div.product table.variations tr {
		display: grid;
		grid-column-gap: 10px;
		grid-template-columns: repeat(2,1fr);
		margin-bottom: 1rem;
	}
}
@media(min-width:1200px){
	ul.menu-logged-in-member > li#shopkeeper-menu-item-17288 {
		margin-right: 10px;
	}
	html #st-container .yith-add-to-wishlist-button-block {
		display: flex !important;
		align-items: center;
		justify-content: center;
		position: relative;
		width: max-content;
		min-height: 100%;
		margin: 0;
		padding: 0;
	}
	
	.yith-wcwl-add-to-wishlist-button__label {
		display: inline;
	}

	html #st-container .woocommerce .products a,
	.woocommerce .products a.yith-wcwl-add-to-wishlist-button {
		display: flex;
	}

	#site-footer .trigger-footer-widget-area {
		display: none;
	}

	#site-footer .site-footer-widget-area {
		display: block;
	}
}

@media(min-width: 1400px){
	#nav-search-item {
		display: flex;
		align-items: center;
		flex-grow: 5;
		flex-shrink: 5;
	}
	#nav-search-item::before {
		content: "";
		display: inline-block;
		padding-left: 15px;
	}
	#nav-search-item::after {
	  text-align: right;
	  margin-left: -1.25rem;
      font-size: 20px;
	  outline: 0;
	  font-family: "Shopkeeper-Icon-Font" !important;
	  content: "\e907";
	}
	#nav-search-input {
		border: 0;
		border-bottom: 2px solid #ddd;
		color: #ccc;
		padding: 0.5rem 0;
		text-align: left;  
		width: 100%;
	}
	.top-headers-wrapper .site-header .site-header-wrapper .site-tools .offcanvas-menu-button.search-button {
		display: none;
	}
}

@media(min-width: 1520px){
	#primary.search-results ul.products,
	#primary.shop-page ul.products,
	#member-shop ul.products {
		grid-column-gap: 30px;
		grid-row-gap: 50px;
	}
}

.button, input[type="button"], input[type="reset"], input[type="submit"], .woocommerce-widget-layered-nav-dropdown__submit, .wc-stripe-checkout-button, .wp-block-search .wp-block-search__button, .wpb_wrapper .add_to_cart_inline .added_to_cart, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt.disabled, .woocommerce #respond input#submit.alt.disabled:hover, .woocommerce #respond input#submit.alt:disabled, .woocommerce #respond input#submit.alt:disabled:hover, .woocommerce #respond input#submit.alt:disabled[disabled], .woocommerce #respond input#submit.alt:disabled[disabled]:hover, .woocommerce a.button.alt.disabled, .woocommerce a.button.alt.disabled:hover, .woocommerce a.button.alt:disabled, .woocommerce a.button.alt:disabled:hover, .woocommerce a.button.alt:disabled[disabled], .woocommerce a.button.alt:disabled[disabled]:hover, .woocommerce button.button.alt.disabled, .woocommerce button.button.alt.disabled:hover, .woocommerce button.button.alt:disabled, .woocommerce button.button.alt:disabled:hover, .woocommerce button.button.alt:disabled[disabled], .woocommerce button.button.alt:disabled[disabled]:hover, .woocommerce input.button.alt.disabled, .woocommerce input.button.alt.disabled:hover, .woocommerce input.button.alt:disabled, .woocommerce input.button.alt:disabled:hover, .woocommerce input.button.alt:disabled[disabled], .woocommerce input.button.alt:disabled[disabled]:hover, .widget_shopping_cart .buttons .button, .wpb_wrapper .add_to_cart_inline .add_to_cart_button, .woocommerce .wishlist_table td.product-add-to-cart a, .index-layout-2 ul.blog-posts .blog-post .post_content_wrapper .post_content .read_more:hover::before, .index-layout-2 .with-sidebar ul.blog-posts .blog-post .post_content_wrapper .post_content .read_more:hover::before, .index-layout-2 ul.blog-posts .blog-post .post_content_wrapper .post_content .read_more:hover::before, .index-layout-3 .blog-posts_container ul.blog-posts .blog-post article .post_content_wrapper .post_content .read_more:hover::before {
	background-color: rgb(255, 49, 26);
}

/* wtf is this shit, honestly */
@media screen and (min-width: 48em) and (max-width: 64em) {
  html .woocommerce ul.products.columns-6 li.product.last, html .woocommerce-page ul.products.columns-6 li.product.last {
    clear: none;
    margin-right: 0;
  }
}
@media screen and (min-width: 64.0625em) { /*Just use 1024px, no need to be so pretentious*/
  .ajax_add_to_cart.progress-btn.active {
    margin-top: 0 !important;
  }
}
@media screen and (max-width: 55em) { /*whoever made this theme should spend at least one night in jail for this*/
  html .woocommerce-variation-add-to-cart {
    height: auto;
  }
}

/****************************************************************/
/****************************************************************/
/****************************************************************/